The VMware Identity Manager connector requires the Java Runtime Environment (JRE).

The JRE version required for the connector is packaged with the VMware Identity Manager connector installer. When you upgrade the connector, you are prompted to upgrade the JRE version too. For information on upgrading JRE while running the installer, see Upgrading the VMware Identity Manager Connector (Windows).

If you want to upgrade JRE on the connector server at any other time, follow these steps to ensure that the VMware Identity Manager connector continues to work correctly after the JRE upgrade.

Note: This procedure is applicable to VMware Identity Manager connector version 3.2.0.1 and later.
Note: If JRE gets upgraded automatically, follow steps 3-4 after the upgrade.

Procedure

  1. Stop the VMware IDM Connector service.
  2. Install the new JRE version.
  3. Update the JAVA_HOME environment variable to point to the new JRE.
  4. Restart the VMware IDM Connector service.